using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习答案
    /// </summary>
    [Description("练习答案")]
    public class PracticeAnswerDto:IAddRequest
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 试题选项
        /// </summary>
        [Description("试题选项")]
        public string? QuestionOptionId { get; set; }
    }

    public class SubmitPracticeDto : IAddRequest
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 练习结果Id
        /// </summary>
        [Description("练习结果Id")]
        [JsonIgnore]
        public string PracticeResultId { get; set; }

        /// <summary>
        /// 练习试题答案
        /// </summary>
        [Description("练习试题答案")]
        public List<PracticeResultItemDto> PracticeResultItemDtos { get; set; }
    }
}
